Bug 1275245 - Oracle DBs: Tasks is status 'Ready' not visible in task list
Oracle DBs: Tasks is status 'Ready' not visible in task list
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity urgent
: CR1
: 6.2.0
Assigned To: Neus Miras
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-26 07:11 EDT by Jan Hrcek
Modified: 2015-11-20 06:39 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Video illustrating the issue (696.67 KB, application/octet-stream)
2015-10-26 07:11 EDT, Jan Hrcek
no flags Details

  None (edit)
Description Jan Hrcek 2015-10-26 07:11:06 EDT
Created attachment 1086464 [details]
Video illustrating the issue

Description of problem:
This seems to be InternetExplorer specific bug. This bz is NOT duplicate of bug #1263953 - I can confirm, THAT bugzilla has been fixed on other browsers.

But In internet explorer this is still broken (see the video attached).

After I create a task (either from some process or an ad-hoc task) and I click release, the task disappears from all the task list tabs. The only way to get it back is if the task details panel is open and I click Claim, it reappears in the list.

Version-Release number of selected component (if applicable):
BPM Suite 6.2.0 ER4

How reproducible:
Always

Steps to Reproduce:
1. Use Internet Explorer 11 as browser
2. Create ad-hoc task in task list
3. Click release button for the task

Actual results:
The task disappears from all the tabs

Expected results:
Tasks in status Ready should be visible in task list

Additional info:
Comment 1 Jan Hrcek 2015-10-26 09:29:08 EDT
I'm sorry for misinformation. Digging into this a bit more revealed that this issue is not caused by Internet Explorer, but by Oracle database used in the backend. I reproduced this issue with all Oracle versions that we certify against: Oracle 11g, Oracle11gR2RAC as well as Oracle12c. On all the other tested databases this particular problem doesn't exist.
Comment 2 Neus Miras 2015-11-11 08:14:42 EST
There was an issue about the condition over the task actualowner to check if it's empty. For the oracle11 database the '' is considered a null value. We added another check to view if it's an empty string or it's null.

the commit at 6.3.x branch:
https://github.com/droolsjbpm/jbpm-console-ng/commit/34d5bfbdd064652d05f9ea3281b0acd02d07a38a
Comment 3 Jan Hrcek 2015-11-20 06:39:48 EST
Tasks in status ready are now displayed correctly when Oracle databases are used as datasource. Verified with BPM Suite 6.2.0 CR1

Note You need to log in before you can comment on or make changes to this bug.